version: '3.3'

services:
  collector:
    image: collector
    build: 
      context: ./collector
      dockerfile: Dockerfile
    ports:
      - 5011:5011
    volumes:
      - collectevolume:/app/data

  alerter:
    image: alerter
    build:
      context: ./alerter
      dockerfile: Dockerfile
    ports:
      - 5012:5012

  discover:
    image: discover
    build:
      context: ./discover
      dockerfile: Dockerfile
    ports:
      - 5010:5010

  front:
    image: front
    build:
      context: ./front
      dockerfile: Dockerfile
    ports:
      - 5013:5013
    volumes:
      - collectevolume:/app/data

volumes:
  collectevolume: